org.apache.poi.common.usermodel.fonts

## Enum FontHeader.PanoseSerif

- java.lang.Object
- - java.lang.Enum<FontHeader.PanoseSerif>
  - - org.apache.poi.common.usermodel.fonts.FontHeader.PanoseSerif

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<FontHeader.PanoseSerif>
  Enclosing class:
    FontHeader

      public static enum FontHeader.PanoseSerif
      extends java.lang.Enum<FontHeader.PanoseSerif>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ANY`
    `BONE`
    `COVE`
    `EXAGGERATED`
    `FLARED`
    `NO_FIT`
    `NORMAL_SANS`
    `OBTUSE_COVE`
    `OBTUSE_SANS`
    `OBTUSE_SQUARE_COVE`
    `PERP_SANS`
    `ROUNDED`
    `SQUARE`
    `SQUARE_COVE`
    `THIN`
    `TRIANGLE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FontHeader.PanoseSerif` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FontHeader.PanoseSerif[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ANY

          public static final FontHeader.PanoseSerif ANY

    - #### NO_FIT

          public static final FontHeader.PanoseSerif NO_FIT

    - #### COVE

          public static final FontHeader.PanoseSerif COVE

    - #### OBTUSE_COVE

          public static final FontHeader.PanoseSerif OBTUSE_COVE

    - #### SQUARE_COVE

          public static final FontHeader.PanoseSerif SQUARE_COVE

    - #### OBTUSE_SQUARE_COVE

          public static final FontHeader.PanoseSerif OBTUSE_SQUARE_COVE

    - #### SQUARE

          public static final FontHeader.PanoseSerif SQUARE

    - #### THIN

          public static final FontHeader.PanoseSerif THIN

    - #### BONE

          public static final FontHeader.PanoseSerif BONE

    - #### EXAGGERATED

          public static final FontHeader.PanoseSerif EXAGGERATED

    - #### TRIANGLE

          public static final FontHeader.PanoseSerif TRIANGLE

    - #### NORMAL_SANS

          public static final FontHeader.PanoseSerif NORMAL_SANS

    - #### OBTUSE_SANS

          public static final FontHeader.PanoseSerif OBTUSE_SANS

    - #### PERP_SANS

          public static final FontHeader.PanoseSerif PERP_SANS

    - #### FLARED

          public static final FontHeader.PanoseSerif FLARED

    - #### ROUNDED

          public static final FontHeader.PanoseSerif ROUNDED

  - ### Method Detail

    - #### values

          public static FontHeader.PanoseSerif[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FontHeader.PanoseSerif c : FontHeader.PanoseSerif.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FontHeader.PanoseSerif valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.